Package bitel.billing.server.contract.bean

# Class CommentPatternManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.contract.bean.CommentPatternManager

public class CommentPatternManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentPatternManager(Connection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getCidsByPatternId(int patternId)`
  Возвращает список договоров, у которых установлен определенный шаблон комментариев
  `List<IdTitle>`
  `getContractCommentPatternList()`
  `String`
  `transformValueToComment(int patternId, int contractId)`
  Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
  `void`
  `updateContractComment(int contractId)`
  Обновляет комментарий договора в соответствии с шаблоном

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommentPatternManager

    public CommentPatternManager(Connection connection)

- ## Method Details

  - ### getContractCommentPatternList

    public List<IdTitle> getContractCommentPatternList() throws SQLException
    Throws:
      `SQLException`

  - ### getCidsByPatternId

    public List<Integer> getCidsByPatternId(int patternId) throws SQLException
    Возвращает список договоров, у которых установлен определенный шаблон комментариев
    Parameters:
      `patternId` - код шаблона
    Returns:
    Throws:
      `SQLException`

  - ### updateContractComment

    public void updateContractComment(int contractId) throws SQLException
    Обновляет комментарий договора в соответствии с шаблоном
    Parameters:
      `contractId` - ID договора
    Throws:
      `SQLException`

  - ### transformValueToComment

    public String transformValueToComment(int patternId, int contractId) throws SQLException
    Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
    Parameters:
      `patternId` - код шаблона
      `contractId` - код договора
    Returns:
      готовый комментарий к договору
    Throws:
      `SQLException`